#
# spec file for package rubygem-amq-protocol
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-amq-protocol
Version:        2.3.2
Release:        1.18
%define mod_name amq-protocol
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby22
%define rb_default_ruby_abi ruby:2.2.0
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            http://github.com/ruby-amqp/amq-protocol
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        AMQP 0.9.1 encoding & decoding library
License:        MIT
Group:          Development/Languages/Ruby

%description
amq-protocol is an AMQP 0.9.1 serialization library for Ruby. It is not a
client: the library only handles serialization and deserialization.

%prep

%build

%install
%gem_install \
  --doc-files="ChangeLog.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 2.3.2
  see installed ChangeLog.md
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.3.1
  see installed ChangeLog.md
  [#]# Changes between 2.3.1 and 2.3.2 (unreleased)
  No changes yet.
  [#]# Changes between 2.3.0 and 2.3.1 (April 8th, 2020)
  [#]## Support for connection.update-secret
  Used together with the `rabbitmq-auth-backend-oauth2` plugin.
  [#]## Squashed a gemspec Warning
  GitHub issue: [ruby-amqp/amq-protocol#75](https://github.com/ruby-amqp/amq-protocol/issues/75).
* Tue Jan  9 2018 enavarro@suse.com
- updated to version 2.3.0
  see installed ChangeLog.md
  [#]# Changes between 2.2.0 and 2.3.0
  [#]## Support for Additional URI Query Parameters
  GitHub issue: #67, #68, #69.
  Contributed by Andrew Babichev.
* Tue May 23 2017 coolo@suse.com
- updated to version 2.2.0
  see installed ChangeLog.md
* Sun Jan 29 2017 coolo@suse.com
- updated to version 2.1.0
  see installed ChangeLog.md
  [#]# Changes between 2.0.0 and 2.1.0
  [#]## Ruby Warnings Squashed
  Contributed by Akira Matsuda.
  GitHub issue: [#62](https://github.com/ruby-amqp/amq-protocol/pull/62)
  [#]## Byte Array Decoding
  Byte array values in types now can be
  decoded (to the extent Ruby type system
  permits) by this library.
  GitHub issue: [#58](https://github.com/ruby-amqp/amq-protocol/issues/58)
* Fri Dec 18 2015 coolo@suse.com
- updated to version 2.0.1
  see installed ChangeLog.md
* Tue Nov 24 2015 coolo@suse.com
- updated to version 2.0.0
  see installed ChangeLog.md
* Sat Dec 21 2013 coolo@suse.com
- updated to version 1.9.2
  [#]## Signed 16 Bit Integer Decoding
  Signed 16 bit integers are now decoded correctly.
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.9.0
  [#]## Performance Improvements in AMQ::BitSet
  `AMQ::BitSet#next_clear_bit` is now drastically more efficient
  (down from 6 minutes for 10,000 iterations to 4 seconds for 65,536 iterations).
  Contributed by Doug Rohrer, Dave Anderson, and Jason Voegele from
  [Neo](http://www.neo.com).
  [#]## Body Framing Fix
  Messages exactly 128 Kb in size are now framed correctly.
  Contributed by Nicolas Viennot.
* Mon Sep 23 2013 coolo@suse.com
- updated to version 1.8.0
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.7.0
  `connection.blocked` AMQP 0.9.1 extension is now supported
  (should be available as of RabbitMQ 3.2).
* Tue Jul 30 2013 coolo@suse.com
- updated to version 1.6.0, no changelog found
* Thu May  9 2013 coolo@suse.com
- updated to version 1.5.0
  Encoding of large payloads is now done more efficiently.
* Fri Dec  7 2012 coolo@suse.com
- updated to version 1.0.1
  `amq-protocol` now makes sure `DateTime` is loaded before trying to use it.
* Fri Nov 30 2012 coolo@suse.com
- updated to version 1.0.0
* Mon Sep 24 2012 coolo@suse.com
- updated to version 0.9.5
* Sun Jul 29 2012 coolo@suse.com
- initial package
